<apex:page controller="PREPProjectPackageDetailsCtrl" 
action="{!ExportDetail}"  sidebar="false" contentType="application/vnd.ms-excel#PREPProjectPackageDetails.xls" cache="true">
<html xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns="http://www.w3.org/TR/REC-html40"> 

<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<style> 
 br {mso-data-placement:same-cell;}
<!-- MSFT style causes Excel to treat <br/> as soft carriage return 'ALT-ENTER' when constructing cells from SFDC HTML output -->

.table-header-rotated{
        		border-collapse: collapse;
        	}
			img {
               
               width: 5px;
             }         
</style>
</head>
<body>

	
        	<table height="100%">
		        <tr style="text-align:center">
		            <td style="font-size:10pt; text-align:center; font-weight:bold; color:blue">Project Packages Detail Report</td>
		        </tr>
		        <tr>
		        	<td>Project Name: {!projectName}</td>
		        </tr>
		        <tr>
		        	<td>Project Id: {!initID}</td>
		        </tr>
		        <tr>
		        	<td>Report Date: <apex:outputText value="{0, date, MM/dd/yyyy}">
		        			<apex:param value="{!TODAY()}" />
		        		</apex:outputText>
		        	</td>
		        </tr>
		    </table> 
        	<table id="myTable04" width="100%" border="1" class="table-header-rotated">
				<thead>
			      <tr height="150px">
			        <apex:repeat value="{!msgbaColumnHeaders}" var="col">
			          <th ><apex:outputLabel value="{!col}" escape="false"/></th>
			        </apex:repeat>
			        <th></th>
			        <apex:repeat value="{!msguColumnHeaders}" var="col">
			          <th><apex:outputLabel value="{!col}" escape="false"/></th>
			        </apex:repeat>
			      </tr>
			    </thead>
		 	    <tbody>
		 	    	<tr>
		 	    		<td colspan="17"></td>
		 	    		<td><strong>Unit</strong></td>
		 	    	    <apex:repeat value="{!unitHeaders}" var="unit">
		 	    			<td><strong>{!unit}</strong></td>
		 	    		</apex:repeat>
		 	    		
		 	    	</tr>
      				<apex:repeat value="{!packages}" var="pack">
      					<tr>
      						<apex:repeat value="{!msgbaFieldsName}" var="col">
      							<td rowspan="4">
     								<apex:outputText value="{!IF(col == 'Bid_No__c/Ariba_Document_Number__c', 
     															IF((pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Bid_No__c != null && pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Ariba_Document_Number__c != null), 
     																	pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Bid_No__c + '/' + pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Ariba_Document_Number__c, pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Bid_No__c + pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Ariba_Document_Number__c),
     															IF(col == 'MSA', IF(pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Contract_Type__c == 'MSA', pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Outline_Agreement_No__c, 'N/A'), 
     																IF(col == 'Compensation_Mechanism__c', IF(pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Compensation_Mechanism__c == 'Other', pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Other_Mechanism__c, pack.Mat_Serv_Group_Planned_Schedule_Id__r.Mat_Serv_Group_Baseline_Allocation_Id__r.Compensation_Mechanism__c), pack[col])))}"
     													rendered="{!OR(col == 'Bid_No__c/Ariba_Document_Number__c', col == 'MSA', col == 'Compensation_Mechanism__c')}"/>
     								<apex:outputField value="{!pack[col]}" rendered="{!AND(col != 'Bid_No__c/Ariba_Document_Number__c', col != 'MSA', col != 'Compensation_Mechanism__c')}"/>
     							</td>
      						</apex:repeat>
      						<td style="background-color:#95c3e4">Planned</td>
      						<apex:repeat value="{!plannedFieldsName}" var="p">
      							<td style="background-color:#95c3e4"><apex:outputField value="{!pack[p]}" /></td>
      						</apex:repeat>
      						 
      						<apex:repeat value="{!msguFieldsName}" var="item">
      							<td rowspan="4" style="{!If(OR(item == 'Status_Delivery_Variance_Days_Mat__c', item == 'Status_Delivery_Variance_Days_Serv__c'), 
      														IF(CONTAINS(pack[item], 'red.png'), 'background-color:#f6868b', 'background-color:#67c187'),'')}">
      										<apex:outputField value="{!pack[item]}" rendered="{!AND(item != 'Status_Delivery_Variance_Days_Mat__c', item != 'Status_Delivery_Variance_Days_Serv__c')}"/>
      								
      							</td> 	
      					<!-- 		<td rowspan="4">
      								<apex:outputField value="{!pack[item]}" rendered="{!AND(item != 'Status_Delivery_Variance_Days_Mat__c', item != 'Status_Delivery_Variance_Days_Serv__c')}"/>
      								<apex:outputPanel style="width:5px" rendered="{!OR(item == 'Status_Delivery_Variance_Days_Mat__c', item == 'Status_Delivery_Variance_Days_Serv__c')}">
      									<table width="5px" style="{!IF(CONTAINS(pack[item], 'red.png'), 'background-color:#f6868b', 'background-color:#67c187')}"><tr><td></td></tr></table>
      								</apex:outputPanel>
      							</td> -->
      						</apex:repeat>
	      						
      						
      					</tr>
      					<tr >
      						<td style="background-color:#fffea2">Forecast</td>
      						<apex:repeat value="{!forecastFieldsName}" var="f">
      							<td style="background-color:#fffea2"><apex:outputField value="{!pack[f]}" /></td>
      						</apex:repeat>
      					</tr>
      					<tr>
      						<td style="background-color:#bea6fb">Actual</td>
      						<apex:repeat value="{!actualFieldsName}" var="a">
      							<td style="background-color:#bea6fb"><apex:outputField value="{!pack[a]}" /></td>
      						</apex:repeat>
      					</tr>
      					<tr>
      						<td>Status</td>
      						<apex:repeat value="{!statusFieldsName}" var="s">
      						 	<td style="{!IF(CONTAINS(pack[s], 'red.png'), 'background-color:#f6868b', 'background-color:#67c187')}">
      						 		
      							</td> 
      							
      						</apex:repeat>
      					</tr>
      					<tr style="background-color:#b5cde3"><td colspan="{!msgbaColumnHeaders.size + msguColumnHeaders.size + 1}"></td></tr>
      				</apex:repeat>
      			</tbody>		 
			</table>
 </body>
 </html>      
</apex:page>